<?php

namespace App\Modules\TypeBookingAssign\Domain;

use App\Modules\LeadBooking\Domain\IdLeadBooking;

interface TypeBookingAssignRepository
{
    public function index(IdTypeBookingAssign $id);
    public function find(string $action);
    public function insert(TypeBookingAssign $value);
    public function update(TypeBookingAssign $value);
    public function delete(IdTypeBookingAssign $id);
}
